/**
 ** AnalGlobal.java
 **
 ** Copyright (C) 1992, 1999, 2007, 2011 Mariano Alvarez Fernandez
 ** [e-mail: malfer at telefonica.net]
 **
 ** This file is part of the Parchis4A program.
 **
 ** Parchis4A is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** Parchis4A is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with Parchis4A.  If not, see <http://www.gnu.org/licenses/>.
 **
 **/

package com.fgrim.parchis4a;

public class AnlGlobal {
    int nficom[][];
    int nfipel[][];
    
    public AnlGlobal(Tablero tbl) {
    	nficom = new int[4][4];
    	nfipel = new int[4][4];
    
        for (int i=0; i<4; i++)
            for (int j=0; j<4; j++){
                nficom[i][j] = 0;
                nfipel[i][j] = 0;
            }
        
        for (int i=0; i<4; i++)
            if (tbl.mEP.tipo_jugador[i] != DefPartida.NOJUEGA)
                for (int dado=1; dado<7; dado++){
                    if (dado == 6 && tbl.mEP.nfcasa[i] == 0) dado++;
                    GrupoJugadas jpo = new GrupoJugadas();
                    int nj = jpo.genera(tbl, i, dado);
                    for (int j=0; j<nj; j++)
                        if (jpo.jg[j].come && jpo.jg[j].cjugdcom != Tablero.VACIO) {
                            nficom[i][jpo.jg[j].nficha]++;
                            nfipel[jpo.jg[j].cjugdcom][jpo.jg[j].nfichcom]++;
                        }
                }
    }

}
